%define	upstream_name	 LockFile-Simple
%define	upstream_version 0.208

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    simple file locking scheme
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LockFile/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description 
The LockFile::Simple extension provides simple file locking, of the
advisory kind, i.e. it requires cooperation between applications wishing
to lock the same files.

It is meant to be used in quick-and-dirty scripts or more elaborated
programs that want a simple locking scheme, yet with a reasonable
level of configuration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(444,root,root,755)
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/LockFile/*.pm
%{perl_vendorlib}/LockFile/Lock/*
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.208.0-10.mga9
+ Revision: 1804263
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.208.0-9.mga8
+ Revision: 1495431
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.208.0-8.mga7
+ Revision: 1268905
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.208.0-7.mga6
+ Revision: 1029286
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.208.0-6.mga6
+ Revision: 932788
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.208.0-5.mga5
+ Revision: 744271
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.208.0-4.mga5
+ Revision: 685252
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.208.0-3.mga4
+ Revision: 512639
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.208.0-2.mga3
+ Revision: 369181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.208.0-1.mga3
+ Revision: 255067
- update to 0.208

* Thu Jan 20 2011 jquelin <jquelin> 0.207.0-1.mga1
+ Revision: 26466
- mageia rebuild
- imported package perl-LockFile-Simple


* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.207.0-1mdv2010.0
+ Revision: 393281
- update to 0.207
- using %%perl_convert_version
- fixed summary, license & description fields
- using plain url for source0

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.2.5-8mdv2009.0
+ Revision: 241612
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.2.5-6mdv2008.0
+ Revision: 67618
- use %%mkrel


* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-6mdk
- 0.2.5

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.5-5mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.2.5-3mdk
- rebuild

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-2mdk
- rebuild with new perl

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.2.5

